=== doc/en/Makefile ===
all: kmidimon.1 kmidimon.html

kmidimon.1: manpage.xml
	# Verification
	xmllint --nonet --noout --postvalid --xinclude $^
	# Compilation
	xsltproc --output $@ --nonet --xinclude --xincludestyle \
	  http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl \
	  $^

kmidimon.html: handbook.xml
	# Verification
	# xmllint --nonet --noout --postvalid --xinclude $^
	# Compilation
	xsltproc --output $@ --nonet --xinclude --xincludestyle \
	  http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl \
	  $^
