=== debian/changelog ===
kmidimon-dmo (1.0.0-dmo2) unstable; urgency=medium

  * Swith to ninja-build

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Jan 2021 15:02:02 +0100

kmidimon-dmo (1.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Jan 2021 08:29:36 +0100

kmidimon (0.7.5-3) unstable; urgency=medium

  * Team upload.

  [ Olivier Humbert ]
  * Add a french translation (applied upstream). (Closes: #833360)

 -- James Cowgill <jcowgill@debian.org>  Thu, 04 Aug 2016 11:22:43 +0000

kmidimon (0.7.5-2) unstable; urgency=medium

  * Team upload.

  [ Radovan Birdic ]
  * Remove uninstall target from CMakeLists.txt, fixing FTBFS. (Closes: #803566)

  [ James Cowgill ]
  * Use canonical Vcs URLs.
  * Remove menu file per tech-ctte decision.
  * Bump standards to 3.9.8.

 -- James Cowgill <jcowgill@debian.org>  Sun, 24 Jul 2016 13:26:55 +0100

kmidimon (0.7.5-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Fix VCS URLs.
  * Remove obsolete DM-Upload-Allowed: yes flag.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 07 Oct 2013 14:26:54 +0100

kmidimon (0.7.4-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * debian/gbp.conf: Set compression to bzip2.

 -- Alessio Treglia <alessio@debian.org>  Thu, 10 Mar 2011 13:40:56 +0100

kmidimon (0.7.4-1) experimental; urgency=low

  * Update homepage
  * Imported Upstream version 0.7.4
  * Use external libdrumstick.
  * Drop obsolete patches.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 22 Nov 2010 16:47:52 +0100

kmidimon (0.7.3-2) unstable; urgency=low

  * Add drumstick patch to fix compilation errors on arm and mips.
  * Add drumstick patch to fix problems with ALSA seq.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 17 May 2010 12:17:40 +0200

kmidimon (0.7.3-1) unstable; urgency=low

  * New upstream version

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 24 Dec 2009 17:59:55 +0100

kmidimon (0.7.1-1) unstable; urgency=low

  * New Upstream Version

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 10 Aug 2009 13:26:16 +0200

kmidimon (0.7.0-1) unstable; urgency=low

  [Reinhard Tartler]
  * bump debhelper compat level to 7
  * cleanups in debian/rules and debian/control
  
  [Adrian Knoth]
  * New Upstream Version (Closes: #534205)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sat, 27 Jun 2009 15:42:50 +0200

kmidimon (0.5.0-2) unstable; urgency=low

  * Mention the FLD license in debian/copyright

 -- Free Ekanayaka <freee@debian.org>  Sun, 22 Apr 2007 19:57:16 +0200

kmidimon (0.5.0-1) unstable; urgency=low

  * Initial release (Closes: #416491)

 -- Free Ekanayaka <freee@debian.org>  Fri,  2 Feb 2007 00:00:17 +0100
