=== debian/control ===
Source: kmidimon-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://kmidimon.sourceforge.io/
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, qtbase5-dev, ninja-build,
 libdrumstick-dev (>= 1:2.0.0~), libasound2-dev, qttools5-dev

Package: kmidimon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MIDI monitor using ALSA sequencer and KDE user interface
 KMidimon can monitor a MIDI data stream, in order to diagnose a
 malfunctioning piece of equipment or to examine the contents of a MIDI
 sequence during playback.
