## kmidimon-dmo 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # KMidimon - ALSA Sequencer based MIDI Monitor
-# Copyright (C) 2005-2021 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2005-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -14,26 +14,49 @@
 # You should have received a copy of the GNU General Public License
 # along with this program. If not, see <http://www.gnu.org/licenses/>.
 
-cmake_minimum_required(VERSION 3.9)
+cmake_minimum_required(VERSION 3.14)
 
 project(kmidimon
-    VERSION 1.0.0
+    VERSION 1.3.1
+    LANGUAGES CXX
     DESCRIPTION "ALSA Sequencer based MIDI Monitor"
-    LANGUAGES CXX
+    HOMEPAGE_URL "https://kmidimon.sourceforge.io/"
 )
 
+set(PROJECT_RELEASE_DATE "August 10, 2022")
+option(BUILD_DOCS "Process Markdown sources of man pages and help files" ON)
 option(EMBED_TRANSLATIONS "Embed translations instead of installing" OFF)
+option(USE_QT "Choose which Qt major version (5 or 6) to prefer. By default uses whatever is found")
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_admin")
+include(SCMRevision)
+
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED Yes)
 
-find_package(Qt5 5.12 COMPONENTS Widgets LinguistTools REQUIRED)
-if(Qt5_FOUND)
-    message(STATUS "Found Qt5 version: ${Qt5Core_VERSION_STRING}")
+if (USE_QT)
+    if (NOT (USE_QT EQUAL 5 OR USE_QT EQUAL 6))
+        message(FATAL_ERROR "Wrong Qt major version. Only 5 and 6 are valid options")
+    endif()
 endif()
 
-find_package(Drumstick 2.0 COMPONENTS ALSA File REQUIRED)
+if (USE_QT EQUAL 5)
+    find_package(QT NAMES Qt5)
+elseif (USE_QT EQUAL 6)
+    find_package(QT NAMES Qt6)
+else()
+    find_package(QT NAMES Qt5 Qt6)
+endif()
+if(QT_FOUND)
+    message(STATUS "Found Qt version: ${QT_VERSION}")
+endif()
+
+find_package(Qt${QT_VERSION_MAJOR} 5.12 COMPONENTS Gui Widgets LinguistTools REQUIRED)
+if(QT_VERSION VERSION_GREATER_EQUAL 6.0.0)
+    find_package(Qt6Core5Compat REQUIRED)
+endif()
+
+find_package(Drumstick 2.7 COMPONENTS ALSA File REQUIRED)
 if(Drumstick_FOUND)
     message(STATUS "Found Drumstick version: ${Drumstick_VERSION}")
 endif()
@@ -42,9 +65,10 @@
     install prefix: ${CMAKE_INSTALL_PREFIX}
     Build configuration: ${CMAKE_BUILD_TYPE}
     Processor: ${CMAKE_SYSTEM_PROCESSOR}
-    Qt5: ${Qt5_VERSION}
+    Qt: ${QT_VERSION}
     Drumstick: ${Drumstick_VERSION}
-    Embed translations: ${EMBED_TRANSLATIONS}")
+    Embed translations: ${EMBED_TRANSLATIONS}
+    Build docs: ${BUILD_DOCS}")
 
 include(GNUInstallDirs)
 
@@ -53,7 +77,7 @@
 endif()
 
 add_subdirectory(icons)
-add_subdirectory(doc/en)
+add_subdirectory(doc)
 if(NOT EMBED_TRANSLATIONS)
     add_subdirectory(translations)
 endif()
@@ -80,15 +104,16 @@
     COMMAND cp -r icons kmidimon-${PROJECT_VERSION}
     COMMAND cp -r src kmidimon-${PROJECT_VERSION}
     COMMAND cp -r translations kmidimon-${PROJECT_VERSION}
-    COMMAND cp CMakeLists.txt AUTHORS COPYING ChangeLog INSTALL NEWS README TODO *.ins *.spec* *.desktop *.lsm *.qrc *.pro *.pri kmidimon-${PROJECT_VERSION}
+    COMMAND cp CMakeLists.txt AUTHORS COPYING ChangeLog configure.* *.md *.ins *.spec* *.desktop *.lsm *.qrc *.pro *.pri *.xml kmidimon-${PROJECT_VERSION}
     COMMAND tar -cj --exclude .svn --exclude *.old --exclude *~ -f kmidimon-${PROJECT_VERSION}.tar.bz2 kmidimon-${PROJECT_VERSION}
     COMMAND tar -cz --exclude .svn --exclude *.old --exclude *~ -f kmidimon-${PROJECT_VERSION}.tar.gz kmidimon-${PROJECT_VERSION}
     COMMAND rm -rf kmidimon-${PROJECT_VERSION}
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
 )
 
-install( FILES kmidimon.desktop
+install( FILES net.sourceforge.kmidimon.desktop
          DESTINATION ${CMAKE_INSTALL_DATADIR}/applications )
-         
+install( FILES net.sourceforge.kmidimon.metainfo.xml
+         DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo )
 install( FILES standards.ins
          DESTINATION ${CMAKE_INSTALL_DATADIR}/kmidimon )
