=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# KMidimon - ALSA Sequencer based MIDI Monitor
-# Copyright (C) 2005-2021 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Drumstick MIDI Monitor
+# Copyright (C) 2005-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -26,14 +26,17 @@
          ../translations/kmidimon_fr.ts
          ../translations/kmidimon_ja.ts
     )
-    qt5_add_translation(QM_FILES ${TRANSLATIONS})
+    if(QT_VERSION VERSION_LESS 5.15.0)
+        qt5_add_translation(QM_FILES ${TRANSLATIONS})
+    else()
+        qt_add_translation(QM_FILES ${TRANSLATIONS})
+    endif()
     include(TranslationUtils)
     add_app_translations_resource(APP_RES ${QM_FILES})
     add_qt_translations_resource(QT_RES cs es fr ja)
 endif()
 
-find_package(PkgConfig REQUIRED)
-pkg_check_modules(ALSA REQUIRED IMPORTED_TARGET alsa>=1.0.0)
+find_package(ALSA 1.0.0 REQUIRED)
 
 set(kmidimon_SRCS
     about.cpp
@@ -70,24 +73,39 @@
     kmidimonwin.ui
     kmidimon.qrc
     ../datafiles.qrc
-    ../doc/en/docs.qrc
+    ../doc/docs.qrc
     ${APP_RES}
     ${QT_RES}
 )
 
 add_executable(kmidimon ${kmidimon_SRCS})
+if (BUILD_DOCS)
+    add_dependencies ( kmidimon update_helpfiles )
+endif()
 
 target_link_libraries( kmidimon
-    Qt5::Widgets
+    Qt${QT_VERSION_MAJOR}::Widgets
     Drumstick::File
     Drumstick::ALSA
-    PkgConfig::ALSA
+    ALSA::ALSA
 )
+
+if (QT_VERSION VERSION_GREATER_EQUAL 6.0.0)
+    target_link_libraries( kmidimon
+        Qt6::Gui
+        Qt6::Core5Compat
+    )
+endif()
 
 target_compile_definitions( kmidimon PRIVATE
     VERSION=${PROJECT_VERSION}
     $<$<BOOL:${EMBED_TRANSLATIONS}>:TRANSLATIONS_EMBEDDED>
 )
 
+if (DEFINED PROJECT_WC_REVISION)
+    target_compile_definitions( ${PROJECT_NAME} PRIVATE
+        REVISION=${PROJECT_WC_REVISION} )
+endif()
+
 install( TARGETS kmidimon
     RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
