=== debian/changelog ===
kmidimon-dmo (1.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 11 Aug 2022 00:05:02 +0200

kmidimon-dmo (1.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Apr 2022 14:20:37 +0200

kmidimon-dmo (1.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Dec 2021 14:20:58 +0100

kmidimon-dmo (1.1.0-dmo0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 20 Sep 2021 15:18:35 +0200
