=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://kmidimon.sourceforge.io/
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13), cmake, qtbase5-dev, ninja-build,
- libdrumstick-dev (>= 1:2.0.0~), libasound2-dev, qttools5-dev
+ libdrumstick-dev (>= 1:2.5.0~), libasound2-dev, qttools5-dev, pkg-config,
+ pandoc
 
 Package: kmidimon
 Architecture: any
