=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_clean:
	dh_clean doc/*/index.html

override_dh_auto_test:
