=== debian/watch ===
version=4

https://sf.net/kmidimon/kmidimon-(.+)@ARCHIVE_EXT@
