## kmidimon-dmo 1.4.1

=== debian/changelog ===
kmidimon-dmo (1.4.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 Dec 2024 09:25:36 +0100

kmidimon-dmo (1.4.0-dmo3+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Nov 2024 13:42:15 +0100

kmidimon-dmo (1.4.0-dmo3) unstable; urgency=medium

  * Build with Qt6 6.6

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Jun 2024 16:16:03 +0200

kmidimon-dmo (1.4.0-dmo2) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Mar 2024 09:54:36 +0100

kmidimon-dmo (1.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Dec 2023 16:45:07 +0100

kmidimon-dmo (1.3.1-dmo2) unstable; urgency=medium

  * Build with QT6

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 14 Jun 2023 10:45:04 +0200
