=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://kmidimon.sourceforge.io/
-Standards-Version: 4.6.1
-Build-Depends: debhelper-compat (= 13), cmake, qtbase5-dev, ninja-build,
- libdrumstick-dev (>= 1:2.5.0~), libasound2-dev, qttools5-dev, pkg-config,
- pandoc
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qt6-base-dev,
+ libdrumstick-dev (>= 1:2.10~), libasound2-dev, pkgconf, qt6-tools-dev,
+ qt6-5compat-dev
 
 Package: kmidimon
 Architecture: any
