=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DBUILD_DOCS=OFF \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo


override_dh_auto_test:
