=== debian/watch ===
version=4

https://sf.net/kmidimon/ kmidimon-@ANY_VERSION@@ARCHIVE_EXT@
